---
title: Validácia otázok a odpovedí
published: true
process:
  twig: true
cache_enable: false
taxonomy:
  author: Daniel Hladek
  categories: [project]
  tags: [question-answer,annotation]
forms:
  question1:
    name: question1
    fields:
    - name: name
      label: Login
      placeholder: Váš e-mail
      autofocus: on
      autocomplete: on
      type: email
      validate:
        required: true
        message: Musíte zadať platný e-mail aby sa započítala anotácia
    buttons:
    - type: submit
      value: Začni anotovať
    process:
    - redirect: "https://validation.question.tukekemt.xyz/?session={{ form.value.name }}"
  questionapp:
    name: questionapp
    fields:
    - name: name
      label: Login
      placeholder: Váš e-mail
      autofocus: on
      autocomplete: on
      type: email
      validate:
        required: true
        message: Zadajte e-mail s anotáciami
    buttons:
    - type: submit
      value: Koľko som anotoval?
    process:
    - redirect: "https://app.question.tukekemt.xyz/annotator/{{ form.value.name }}"
---

Vašou úlohou bude overiť, či je napísaná otázka a odpoveď správna.
Výsledkom Vašej práce by mala byť kvalitná databáza otázok a odpovedí.

Kvalitná otázka s odpoveďou:

- Otázka aj odpoveď je gramaticky a pravopisne správna.
- Otázka má zmysel a odpoveď odpovedá na položenú otázku. 
- Na otázku sa dá odpovedať s použitím aktuálneho odseku.
- Otázka je jednoznačná - pomocou otázky je možné vyhľadať aktuálny odsek.
- Otázka musí gramaticky sedieť s odpoveďou.

Odporúčaný pracovný postup:

1. Prečítajte si otázku a odpoveď.
2. Ak je to potrebné tak upravte odpoveď tak, aby zodpovedala otázku.
3. Doplňte do otázky predmet ak to je potrebné aby bola otázka jednoznačná.
4. Ak gramatický tvar otázky nesedí tak otázku preformulujte tak aby sedela s odpoveďou.
5. Ak sa v otázke nachádzajú pravopisné chyby alebo preklepy tak ich opravte.
6. Ak je otázka "neopraviteľná" alebo nemá zmysel tak ju zamietnite.

## Začnite anotovať

Do formulára napíšte Váš e-mail aby bolo možné rozpoznať, kto vykonal anotáciu. 

{% include "forms/form.html.twig" with { form: forms('question1') } %}

Pozrite sa koľko ste anotovali. Súčet sa synchronizuje raz za hodinu:

{% include "forms/form.html.twig" with { form: forms('questionapp') } %}
